Rails.application.routes.draw do
  resources :password_resets, only: %i(new create edit update)
  resources :user_sessions, only: %i(create)
  get 'login'  => 'user_sessions#new',     as: 'login'
  get 'logout' => 'user_sessions#destroy', as: 'logout'

  resources :users do
    get :activate, on: :member
  end
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
